%define name xmms-sidplay
%define version 0.31
%define release 2mdk

Name:          %name
Version:       %version
Release:       %release
Summary:       SidPlay Output plugin for XMMS
Group:         Sound
License:       GPL
BuildRequires: libxmms1-devel libsidplay1-devel
Source:        %name-%version.tar.bz2
Patch:         %name-0.31-songlength.patch.bz2
BuildRoot:     %_tmppath/%name-buildroot
Requires:      xmms libsidplay1

%description
This is an input plugin for xmms based on libsidplay and is used to play 
Commodore 64 SID music. You can drag the slide bar to switch the subsongs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING INSTALL
%{_libdir}/xmms/Input/libsidplay.so

%changelog
* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-2mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- fixed requirements

* Wed Nov 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
	- fixed songlength display and subsong switching
